Chromium Code Reviews
Help | Chromium Project | Sign in
(17)

Issue 2733303004: Removes WmShell::NewWindow() (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 weeks, 2 days ago by sky
Modified:
2 weeks, 1 day ago
Reviewers:
msw
CC:
chromium-reviews, kalyank, sadrul
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Removes WmShell::NewWindow() Instead code can create the window directly. I've also added the WindowType to the constructor of aura::Window to make the common task of creating a window then setting the type slightly easier. BUG=687660 TEST=covered by tests R=msw@chromium.org Review-Url: https://codereview.chromium.org/2733303004 Cr-Commit-Position: refs/heads/master@{#455677} Committed: https://chromium.googlesource.com/chromium/src/+/f07aff743bb84efec231eb4f6917b2e72dd515f6

Patch Set 1 #

Patch Set 2 : cleanup #

Total comments: 2

Patch Set 3 : merge and feedback #

Unified diffs Side-by-side diffs Delta from patch set Stats (+91 lines, -100 lines) Patch
M ash/aura/wm_shell_aura.h View 1 2 1 chunk +0 lines, -2 lines 0 comments Download
M ash/aura/wm_shell_aura.cc View 1 2 1 chunk +0 lines, -8 lines 0 comments Download
M ash/common/shelf/shelf_window_watcher_unittest.cc View 1 2 2 chunks +17 lines, -15 lines 0 comments Download
M ash/common/test/ash_test.cc View 2 chunks +8 lines, -6 lines 0 comments Download
M ash/common/wm/window_dimmer.cc View 1 chunk +3 lines, -2 lines 0 comments Download
M ash/common/wm/workspace/workspace_layout_manager_unittest.cc View 1 2 4 chunks +22 lines, -19 lines 0 comments Download
M ash/common/wm_shell.h View 1 2 2 chunks +1 line, -3 lines 0 comments Download
M ash/common/wm_window_user_data_unittest.cc View 1 3 chunks +22 lines, -15 lines 0 comments Download
M ash/mus/bridge/wm_shell_mus.h View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M ash/mus/bridge/wm_shell_mus.cc View 1 2 2 chunks +0 lines, -13 lines 0 comments Download
M ash/root_window_controller.cc View 1 2 1 chunk +7 lines, -8 lines 0 comments Download
M ui/aura/window.h View 1 chunk +5 lines, -2 lines 0 comments Download
M ui/aura/window.cc View 1 chunk +6 lines, -3 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (15 generated)
sky
2 weeks, 2 days ago (2017-03-08 20:42:40 UTC) #4
msw
lgtm with optional nit... I skipped other similar ash::WmWindow->aura::Window conversion nits to give you a ...
2 weeks, 2 days ago (2017-03-08 21:38:25 UTC) #5
sky
https://codereview.chromium.org/2733303004/diff/20001/ash/common/shelf/shelf_window_watcher_unittest.cc File ash/common/shelf/shelf_window_watcher_unittest.cc (right): https://codereview.chromium.org/2733303004/diff/20001/ash/common/shelf/shelf_window_watcher_unittest.cc#newcode357 ash/common/shelf/shelf_window_watcher_unittest.cc:357: ->AddChild(WmWindow::Get(window.get())); On 2017/03/08 21:38:24, msw wrote: > optional nit: ...
2 weeks, 1 day ago (2017-03-08 22:58:17 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2733303004/40001
2 weeks, 1 day ago (2017-03-08 22:59:22 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/336648)
2 weeks, 1 day ago (2017-03-08 23:57:20 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2733303004/40001
2 weeks, 1 day ago (2017-03-09 00:08:03 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/336754)
2 weeks, 1 day ago (2017-03-09 01:19:11 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2733303004/40001
2 weeks, 1 day ago (2017-03-09 03:17:26 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/336934)
2 weeks, 1 day ago (2017-03-09 04:20:01 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2733303004/40001
2 weeks, 1 day ago (2017-03-09 05:12:09 UTC) #23
commit-bot: I haz the power
2 weeks, 1 day ago (2017-03-09 06:01:27 UTC) #26
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/f07aff743bb84efec231eb4f6917...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62